import React, { ReactElement } from 'react';
import { EditorState } from 'draft-js';
import { AlignmentPluginStore } from '.';
import type { TextAlignmentPluginTheme } from './theme';
export interface AlignmentPluginsPubParams {
    theme: TextAlignmentPluginTheme;
    getEditorState: () => EditorState;
    setEditorState: (editorState: EditorState) => void;
}
interface ToolbarProps {
    store: AlignmentPluginStore;
    theme: TextAlignmentPluginTheme;
}
export default class Alignment extends React.Component<ToolbarProps> {
    renderAlignmentButtons: (externalProps: AlignmentPluginsPubParams) => ReactElement;
    render(): ReactElement;
}
export {};
